Skip to main content

Type Alias: GatewayInferenceResponseFileSearchCallCompletedEvent

type GatewayInferenceResponseFileSearchCallCompletedEvent = {
[key: string]: unknown;
type: "response.file_search_call.completed";
output_index: number;
item_id: string;
};

Defined in: src/models/ai-gateway-inference.ts:4793

Portkey ResponseFileSearchCallCompletedEvent; additive response fields are preserved.

Example​

`GatewayInferenceResponseFileSearchCallCompletedEventSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

type​

type: "response.file_search_call.completed";

Defined in: src/models/ai-gateway-inference.ts:4794


output_index​

output_index: number;

Defined in: src/models/ai-gateway-inference.ts:4795


item_id​

item_id: string;

Defined in: src/models/ai-gateway-inference.ts:4796